# Interface methods for submodule: ExhaustiveOptimizerv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectToObjectOptimizerBaseTemplateProxy as _ObjectToObjectOptimizerBaseTemplateProxy


# Interface methods for class: ExhaustiveOptimizerv4
class ExhaustiveOptimizerv4Proxy(_ObjectToObjectOptimizerBaseTemplateProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def StartWalking(self) -> None:
		""""""
		...

	def ResumeWalking(self) -> None:
		""""""
		...

	def StopWalking(self) -> None:
		""""""
		...

	def SetStepLength(self, _arg: float) -> None:
		""""""
		...

	def SetNumberOfSteps(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetStepLength(self) -> float:
		""""""
		...

	def GetNumberOfSteps(self) -> Sequence[int]:
		""""""
		...

	def GetCurrentValue(self) -> float:
		""""""
		...

	def GetMaximumMetricValue(self) -> float:
		""""""
		...

	def GetMinimumMetricValue(self) -> float:
		""""""
		...

	def GetMinimumMetricValuePosition(self):
		""""""
		...

	def GetMaximumMetricValuePosition(self):
		""""""
		...

	def GetCurrentIndex(self):
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

	def SetInitialPosition(self, param) -> None:
		""""""
		...

	def GetInitialPosition(self):
		""""""
		...

